[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Error

Generate run-time error

## Declaration

Source position: systemh.inc line 1089

`procedure Error(`
`RunTimeError: TRuntimeError`
`);`

## Description

Error generates a run-time error with an exit code corresponding to RunTimeError. This function is implemented for Delphi compatibility, and is not used by the Free Pascal Run-Time Library.

## See also

RunError |  | Generate a run-time error.
Halt |  | Stop program execution.

Documentation generated on: Feb 26 2014